DynaValidatorActionForm (Struts Extras 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class DynaValidatorActionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.action.DynaActionForm
              org.apache.struts.validator.DynaValidatorForm
                  org.apache.struts.validator.DynaValidatorActionForm

All Implemented Interfaces:
  Serializable, DynaBean

    public class DynaValidatorActionForm

extends DynaValidatorForm
implements DynaBean, Serializable

This class extends DynaValidatorForm and provides basic field validation based on an XML file. The key passed into the validator is the action element's 'path' attribute from the struts-config.xml which should match the form element's name attribute in the validation.xml.

- See `ValidatorPlugin` definition in struts-config.xml for validation rules.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.DynaValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.DynaActionForm
`dynaClass, dynaValues`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`DynaValidatorActionForm()`

Method Summary
`String` | `getValidationKey(ActionMapping mapping, HttpServletRequest request)` Returns the Validation key.

Methods inherited from class org.apache.struts.validator.DynaValidatorForm
`getPage, getResultValueMap, getValidatorResults, reset, setPage, setPageFromDynaProperty, setValidatorResults, validate`

Methods inherited from class org.apache.struts.action.DynaActionForm
`contains, get, get, get, getDynaClass, getDynaProperty, getMap, getString, getStrings, initialize, initialize, isDynaAssignable, remove, reset, set, set, set, toString`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.beanutils.DynaBean
`contains, get, get, get, getDynaClass, remove, set, set, set`

Constructor Detail

### DynaValidatorActionForm

    public DynaValidatorActionForm()

Method Detail

### getValidationKey

    public String getValidationKey(ActionMapping mapping,
                                   HttpServletRequest request)

  Returns the Validation key.

  Overrides:
    `getValidationKey` in class `DynaValidatorForm`
  Parameters:
    `mapping` - The mapping used to select this instance
    `request` - The servlet request we are processing
  Returns:
    validation key - the action element's 'path' attribute in this case

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.